Bug 168154 - [PATCH] audio/scrobbler: Remove audio/libmusicbrainz support
Summary: [PATCH] audio/scrobbler: Remove audio/libmusicbrainz support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-19 23:50 UTC by Jason E. Hale
Modified: 2012-06-10 05:08 UTC (History)
1 user (show)

See Also:


Attachments
2012-05-18-scrobbler.diff (18.45 KB, patch)
2012-05-19 23:50 UTC, Jason E. Hale
no flags Details | Diff
2012-05-18-xmms-scrobbler.diff (439 bytes, patch)
2012-05-19 23:50 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2012-05-19 23:50:05 UTC
- Remove audio/libmusicbrainz support from audio/scrobbler and slave ports
- audio/libmusicbrainz is deprecated as the MusicBrainz RDF webservice is no
  longer functional
- libmusicbrainz is only used here to get CD metadata, and since the service
  no longer works, the patch removes CD audio support...other music files will
  still submit last.fm data

Fix: diff -ruN bmp-scrobbler.orig/Makefile bmp-scrobbler/Makefile
--- bmp-scrobbler.orig/Makefile	2012-05-19 08:31:09.000000000 -0400
+++ bmp-scrobbler/Makefile	2012-05-19 08:31:34.000000000 -0400
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/audio/bmp-scrobbler/Makefile,v 1.16 2010/03/28 06:30:47 dinoex Exp $
 
 PORTNAME=	bmp-scrobbler
-PORTREVISION=	8
+PORTREVISION=	9
 
 MAINTAINER=	novel@FreeBSD.org
 COMMENT=	BMP plugin for Audioscrobbler.com
--- 2012-05-18-bmp-scrobbler.diff ends here ---
How-To-Repeat: - Use attached diff
Comment 1 Edwin Groothuis freebsd_committer 2012-05-19 23:50:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->novel

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Roman Bogorodskiy freebsd_committer 2012-06-03 10:31:21 UTC
Hi,

For some reason I cannot apply the patch:

patch: **** malformed patch at line 349: diff -ruN
scrobbler.orig/files/patch-tags__include__tags.h
scrobbler/files/patch-tags__include__tags.h

I wonder if it's grants who broke the markup for some reason.

Could you please send me patches (or even tarred port directory) to me
by mail?

Thanks,

Roman Bogorodskiy
Comment 3 dfilter service freebsd_committer 2012-06-10 04:59:41 UTC
novel       2012-06-10 03:59:29 UTC

  FreeBSD ports repository

  Modified files:
    audio/bmp-scrobbler  Makefile 
    audio/scrobbler      Makefile 
    audio/xmms-scrobbler Makefile 
  Added files:
    audio/scrobbler/files patch-Makefile.in patch-config.h.in 
                          patch-configure 
                          patch-tags__include__tags.h 
                          patch-tags__tags.c 
  Log:
  - Drop audio/libmusicbrainz support as it's deprecated and no longer
    functional. It was only used for obtaining cdaudio metadata
  - Bump PORTREVISION
  
  PR:             168154
  Submitted by:   Jason E. Hale <bsdkaffee@gmail.com>
  
  Revision  Changes    Path
  1.18      +1 -1      ports/audio/bmp-scrobbler/Makefile
  1.20      +2 -3      ports/audio/scrobbler/Makefile
  1.1       +129 -0    ports/audio/scrobbler/files/patch-Makefile.in (new)
  1.1       +12 -0     ports/audio/scrobbler/files/patch-config.h.in (new)
  1.1       +173 -0    ports/audio/scrobbler/files/patch-configure (new)
  1.1       +26 -0     ports/audio/scrobbler/files/patch-tags__include__tags.h (new)
  1.1       +58 -0     ports/audio/scrobbler/files/patch-tags__tags.c (new)
  1.12      +1 -1      ports/audio/xmms-scrobbler/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Roman Bogorodskiy freebsd_committer 2012-06-10 05:08:48 UTC
State Changed
From-To: open->closed

Committed, thanks!